/*
@version $Id: portfolio.js 1542 2012-05-03 05:39:49Z roosit $
@package Abricos
@license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/

var Component = new Brick.Component();
Component.requires = {
	mod:[
        // {name: 'social', files: ['lib.js']}
	]
};
Component.entryPoint = function(NS){

	var Dom = YAHOO.util.Dom,
		E = YAHOO.util.Event,
		L = YAHOO.lang;
	
	var TMG = this.template, initCSS = false, buildTemplate = function(w, ts){
		if (!initCSS){
			Brick.util.CSS.update(Brick.util.CSS['{C#MODNAME}']['{C#COMNAME}']);
			delete Brick.util.CSS['{C#MODNAME}']['{C#COMNAME}'];
			initCSS = true;
		}
		w._TM = TMG.build(ts); w._T = w._TM.data; w._TId = w._TM.idManager;
		return w._TM;
	};
	
	var PortfolioViewWidget = function(container, user){
		this.init(container, user);
	};
	PortfolioViewWidget.prototype = {
		init: function(container, user){
			this.user = user;
			var TM = buildTemplate(this, 'widget');
			container.innerHTML = TM.replace('widget', {
				'uid': user.id
			});
			
			var __self = this;
			E.on(container, 'click', function(e){
                var el = E.getTarget(e);
                if (__self.onClick(el)){ E.preventDefault(e); }
            });
		},
		onClick: function(el){
			var tp = this._TId['widget'];
			switch(el.id){
			// case tp['fotoupload']: this.avatarUploader.imageUpload(); return true;
			}
			return false;
		}
	};
	NS.PortfolioViewWidget = PortfolioViewWidget;
};